=== debian/changelog ===
skylendar (4.2nn-1~mx19) mx; urgency=medium

  * Initial debian packaging
 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 28 Jun 2021 14:28:45 -0400
