=== debian/control ===
Source: skylendar
Section: Miscellaneous
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  cmake,
				debhelper (>= 13),
				libqt5core5a (>= 5.9),
				libqt5dbus5,
				libqt5gui5,
				libqt5network5,
				libqt5printsupport5,
				libqt5xml5,
				libqt5sql5,
				zlib1g,
				postgresql (>= 9.3),
				postgresql-server-dev-11,
				libqt5sql5-psql,
				libqt5svg5-dev,
				perl (>= 5.16),
				qttools5-dev,
				qttools5-dev-tools,
				libxml-dom-perl (>= 1.44),
				libdbd-pg-perl
Standards-Version: 4.5.1
Homepage: https://sourceforge.net/projects/skylendar/

Package: skylendar
Architecture: any
Depends: postgresql (>= 9.3),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Powerful astrology program, based on the swisseph library, with multitasking charts and data stored in a SQL database.
