=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_BUILD_DIR = obj-${DEB_BUILD_GNU_TYPE}

%:
	dh $@

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/skylendar/usr/lib64/
	rm -rf $(CURDIR)/debian/skylendar/usr/local/

override_dh_usrlocal:

override_dh_installchangelogs:
