=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# Skylendar 4.2nn
+# Skylendar 4.2.1nn
 #
-# Copyright Christophe Gros skylendar@yahoo.com 2000-2020
+# Copyright Christophe Gros skylendar@yahoo.com 2000-2021
 #
 # This software has been released under the terms of the GPL
 # license.
@@ -21,7 +21,7 @@
  endif()
 endmacro()
 
-set(CPACK_PACKAGE_VERSION "4.2nn")
+set(CPACK_PACKAGE_VERSION "4.2.1nn")
 
 find_package(Perl)
 if(Perl_FOUND)
@@ -51,11 +51,11 @@
 		set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86")
 	endif()
 	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
-	set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_SOURCE_DIR}/src/rpmpost.sh")
-	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Christophe Gros <skylendar@yahoo.com>")
-	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/src/postinst;")
+  set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_SOURCE_DIR}/src/rpmpost.sh")
+	
 	set(CPACK_DEBIAN_PACKAGE_SECTION "Sciences")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "C.Gros")
+	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/src/postinst;")
 	set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Astrology software")
 	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://skylendar.sourceforge.io")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5core5a (>= 5.9), libqt5dbus5, libqt5gui5, libqt5network5, libqt5printsupport5,libqt5xml5, libqt5sql5, zlib1g, postgresql-client (>= 9.3.0), postgresql (>= 9.3), libqt5sql5-psql, perl (>= 5.16), libxml-dom-perl (>= 1.44), libdbd-pg-perl, gawk")
@@ -84,8 +84,7 @@
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 include(CPack)
 include(CPackComponent)
-#CPACK_ADD_COMPONENT(postgreSQL DISPLAY_NAME PostgreSQL DESCRIPTION "Relational Database" DISABLED DOWNLOADED ARCHIVE_FILE "http://postgresql.org/download/")
-#CPACK_ADD_COMPONENT(Perl DISPLAY_NAME Perl DESCRIPTION "Perl language" DISABLED DOWNLOADED ARCHIVE_FILE "http://dplus.en.softonic.com/ud-client/2000/2072/SoftonicDownloader_for_activeperl.exe")
+
 #set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
 # ajouter find_package(SharedMimeInfo REQUIRED)
 set(CMAKE_VERBOSE_MAKEFILE ON)
@@ -93,7 +92,7 @@
 add_subdirectory(swe)
 set(G "${PostgreSQL_INCLUDE_DIRS}")
 list(GET G 0 M)
-add_definitions(-std=c++11 -frtti -fopenmp -fexceptions -Wno-unused-parameter -Wno-unused-but-set-variable -Wno-overloaded-virtual -DSKYPATH=\"${DATA_INSTALL_DIR}\" -I${M})
+add_definitions(-std=c++11 -frtti -fopenmp -fexceptions -Wno-unused-parameter  -Wno-unused-but-set-variable -Wno-overloaded-virtual  -DSKYPATH="${DATA_INSTALL_DIR}" -I${M})
 
 if(CMAKE_COMPILER_IS_GNUCC)
   add_definitions(-fopenmp -Wunused-but-set-variable)
@@ -275,6 +274,11 @@
 target_link_libraries(skyldr ${skyldr_LIBS})
 
 set_target_properties(skyldr PROPERTIES VERSION ${CPACK_PACKAGE_VERSION} SOVERSION 4 )
+target_compile_features(skyldr PUBLIC cxx_std_17)
+add_library(enable_rtti INTERFACE)
+ target_compile_options(enable_rtti INTERFACE
+   $<$<OR:$<COMPILER_ID:GNU>,$<COMPILER_ID:Clang>>:-rtti>
+ )
 
 install(TARGETS skyldr DESTINATION ${LIB_INSTALL_DIR})
 
@@ -329,3 +333,8 @@
 	set(skydmin_SRCS skydmin.cpp)
 	if(MINGW)
     # This gets us DLL resource information when compiling on MinGW.
+    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/skydmres.obj
+                       COMMAND windres.exe
+                            -D GCC_WINDRES
+                            -I ${CMAKE_CURRENT_SOURCE_DIR}
+                            -I ${CMAKE_CURRENT_BINARY_DIR}
