=== src/pics/CMakeLists.txt ===
add_subdirectory(tarots)

install(FILES 1.png eclipse.png journey.png ordeal.png square.png
2.png beginning.png end.png local.png previous.png stdlist.png
3.png coin.png exasp.png lunar_rev.png publication.png stdwheel.png
4.png company.png fest.png major.png restriction.png stick.png
accident.png country.png first.png marriage.png rising.png subtype.png
anim2.png cup.png group.png meeting.png searchdata.png sword.png
animation.png dirch.png icon.png newdata.png signch.png tarotspread.png
asptable.png direction.png idea.png next.png skylendar.jpg Type.png
astrograph.png divorce.png illness.png now.png solar_rev.png up.png
attention.png down.png invbg.png objlist.png solar_sys.png ephemeris.png
pdir.png cpdir.png occult.png tensorflow.png
DESTINATION ${DATA_INSTALL_DIR}/pics)
