=== src/pics/tarots/CMakeLists.txt ===
install(FILES r10.jpg r18.jpg r25.jpg r32.jpg r3.jpg  r47.jpg r54.jpg r61.jpg r69.jpg r76.jpg
r11.jpg r19.jpg r26.jpg r33.jpg r40.jpg r48.jpg r55.jpg r62.jpg r6.jpg  r77.jpg
r12.jpg r1.jpg  r27.jpg r34.jpg r41.jpg r49.jpg r56.jpg r63.jpg r70.jpg r78.jpg
r13.jpg r20.jpg r28.jpg r35.jpg r42.jpg r4.jpg  r57.jpg r64.jpg r71.jpg r7.jpg
r14.jpg r21.jpg r29.jpg r36.jpg r43.jpg r50.jpg r58.jpg r65.jpg r72.jpg r8.jpg
r15.jpg r22.jpg r2.jpg  r37.jpg r44.jpg r51.jpg r59.jpg r66.jpg r73.jpg r9.jpg
r16.jpg r23.jpg r30.jpg r38.jpg r45.jpg r52.jpg r5.jpg  r67.jpg r74.jpg
r17.jpg r24.jpg r31.jpg r39.jpg r46.jpg r53.jpg r60.jpg r68.jpg r75.jpg
DESTINATION ${DATA_INSTALL_DIR}/pics/tarots)
