=== debian/changelog ===
skylendar (4.2.1nn-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21
  * Manual workaround for buggy bullseye /usr/share/ \
  * cmake-3.18/Modules/FindPostgreSQL.cmake required to add version 13.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 12 Sep 2021 22:21:29 -0400

skylendar (4.2.1nn-1~mx19+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 10 Sep 2021 10:36:47 -0400

skylendar (4.2nn-1~mx19+1) mx; urgency=medium

  * Add missing libqt5sql5-psql dependency

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 09 Jul 2021 13:36:52 -0400
