=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 %:
 	dh $@
 
+override_dh_clean:
+	rm -f $(CURDIR)/CMakeCache.txt
+	dh_clean
+	
 override_dh_install:
 	dh_install
 	rm -rf $(CURDIR)/debian/skylendar/usr/lib64/
